%define compatv 71
%{?compatv:%define compatfv 7.1}

%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions

Summary: PHP %{?compatfv} oci8/pdo_oci extension
Summary(ko): PHP%{?compatfv}  oci8/pdo_oci 확장
Name: php%{?compatv}-oci
Version: 7.1.12
Release: 1%{?dist}
Epoch: 100
Group: Development/Languages
License: PHP
Source0: oci-%{version}-1.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php%{?compatv}api oracle-instantclient12.2-basic
BuildRequires: php%{?compatv}-devel oracle-instantclient12.2-devel

%description
PHP Oracle extension and PDO drive APIs

%prep
%setup -q -n oci

%build

CFLAGS="${RPM_OPT_FLAGS}"

cd oci8
	/usr/bin/phpize%{?compatv}
	./configure --with-oci8=instantclient,/usr/lib/oracle/12.2/client64/lib
	%{__make} %{?_smp_mflags}
cd -

cd pdo_oci
	/usr/bin/phpize%{?compatv}
	./configure --with-pdo-oci=instantclient,/usr,12.2
	%{__make} %{?_smp_mflags}
cd -


%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 oci8/modules/oci8.so %{buildroot}%{_extdir}/
%{__install} -m755 pdo_oci/modules/pdo_oci.so %{buildroot}%{_extdir}/

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},cli,fpm}
for i in %{!?compatv:apache} cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/$i/oci.ini <<EOF
extension = oci8.so
extension = pdo_oci.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/oci8.so
%attr(755,root,root) %{_extdir}/pdo_oci.so
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/oci.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/oci.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/oci.ini

%changelog
* Sat Nov 25 2017 JoungKyun.Kim <hostmaster@oops.org> 100:7.1.12-1%{?dist}
- update 7.1.12 oci8 and pdo_oci extension

* Sat Sep  2 2017 JoungKyun.Kim <hostmaster@oops.org> 100:7.1.9-2%{?dist}
- update 7.1.9 oci8 and pdo_oci extension

